<script type="text/javascript">

	function loadCities( value ){
//		document.getElementById("mContainer").innerHTML = "<div id=\"myDiv\">dhdfghdfg</div>";

		xmlhttp = new XMLHttpRequest();

		xmlhttp.open( 'GET', 'ajax-get-cities?country_id='+value );
		xmlhttp.send();

		xmlhttp.onreadystatechange = function ()
		{
			if ( xmlhttp.readyState == 4 && xmlhttp.status == 200 )
			{
				if ( xmlhttp.responseXML )
				{
					xmlresponse = xmlhttp.responseXML;
				}
				else if ( xmlhttp.responseText )
				{
					xmlresponse = xmlhttp.responseText;
				}

				document.getElementById("city_container").innerHTML = xmlresponse;
			}
		}
	}
</script>
<div class="gray-box form">
	<h1 class="section-title section-padding"> <?= __('pv2_section_user_profile') ?> </h1>
		<div class="body">
			<form action="" method="post" >
				
				<div class="lindent">
					<div class="inner long">
						<label for="country"><b><?= __('pv2_label_your_username') ?></b></label>
						<input type="text" disabled="disabled" class="txt" value="<?= $this->user->username ?>" style="width: 65%" />
						<div class="clear"></div>
					</div>
					<div class="inner long">
						<label for="country"> <b><?= __('pv2_label_country') ?></b>  </label>
						<? $model = new Cubix_Geography_Countries() ?>
						<select onchange="loadCities( this.value )" id="country" name="country_id" style="width: 65%">
							<option value="">- <?= strtolower(__('pv2_label_country')) ?> -&nbsp;&nbsp;</option>
							<? foreach ($model->ajaxGetAll(false) as $country): ?>
							<option value="<?= $country->id ?>"<?= $this->user_data->country_id == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						</select>
						<div class="clear"></div>
					</div>
					<div class="inner long">
						<label for="city"><b><?= __('pv2_label_city') ?></b></label>
						<? $model = new Cubix_Geography_Cities() ?>
						<div id="city_container">
							<select id="city" name="city_id" style="width: 65%">
								<option value="">- <?= strtolower(__('pv2_label_city')) ?> -&nbsp;&nbsp;</option>
								<? if ( $this->user_data->country_id ): ?>
								<? foreach ($model->ajaxGetAll(null, $this->user_data->country_id) as $city): ?>
								<option value="<?= $city->id ?>"<?= $this->user_data->city_id == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?>&nbsp;&nbsp;</option>
								<? endforeach ?>
								<? endif ?>
							</select>
						</div>
						<div class="clear"></div>
					</div>
					<div class="inner long">
						<label for="email"><b><?= __('pv2_label_email') ?></b></label>
						<input id="email" type="text" class="txt" name="email" value="<?= $this->user_data->email ?>" style="width: 65%" />
						<div class="clear"></div>
					</div>

					<div class="buttons actions">
						<button name="profile" type="submit"><img src="<?= _st('_/btn_save-small_' . $this->lang() . '.gif') ?>" alt="Save" /></button>
						<button type="reset"><img src="<?= _st('_/btn_reset-small.gif') ?>" alt="Reset" /></button>
					</div>
				</div>


			</form>
		</div>
</div>
